Joomla Article

Joomla 3.X System Requirements

Below are the Joomla 3.X System Requirements .

If Your system does not meet these minimum requirements, Joomla will either not install correctly, or be just plain buggy.  Currently I know for certain Ubuntu 14.04 LTS will run Joomla “out of the box”. I also know that a standard Centos 5.x and 6.x server will NOT run joomla.  Due to the way redhat tags packages with version numbers.

Requirements for Joomla! 3.x

Software Recommended Minimum More Information
PHP (Magic Quotes GPC off)[1] 5.4 + 5.3.10 + http://www.php.net
Supported Databases:
MySQL (InnoDB support required) 5.1 + 5.1 + http://www.mysql.com
SQL Server 10.50.1600.1+ 10.50.1600.1+ http://www.microsoft.com/sql
PostgreSQL 8.3.18 + 8.3.18 + http://www.postgresql.org/
Supported Web Servers:
Apache[2]
(with mod_mysql, mod_xml, and mod_zlib)
2.x + 2.x + http://www.apache.org
Nginx 1.1 1.0 http://wiki.nginx.org/
Microsoft IIS[5] 7 7 http://www.iis.net
HardWare Recommended Minimum More Info
Storage 20GB 1GB The more the better!
Memory 2GB 512NB The more the better!
Cpu 3ghz i5 1ghz Celeron The faster the better!

NOTE:

If You meet these requiremetns, and Your install still appears to “hang” or “freeze” during the install of the MYSQL DB tables, please read HERE for the solution.

So now that that is out of the way, lets review the Joomla Pre-install Checklist.

2 thoughts on “Joomla 3.X System Requirements

  1. Pingback: Joomla 3.X Pre-Install Check List | Geek Industries

  2. Pingback: How To install Joomla 3.X needs to be finished | Geek Industries

Leave a Reply

Your email address will not be published.